Method: datasets.assess

Full name: projects.locations.datasets.assess

Assesses the state or validity of the dataset with respect to a given use case.

Endpoint

post https://{service-endpoint}/v1beta1/{name}:assess

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the Dataset resource. Used only for MULTIMODAL datasets. Format: projects/{project}/locations/{location}/datasets/{dataset}

Request body

The request body contains data with the following structure:

Fields
geminiRequestReadConfig object (GeminiRequestReadConfig)

Optional. The Gemini request read config for the dataset.

assessment_config Union type
The assessment type. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
tuningValidationAssessmentConfig object (TuningValidationAssessmentConfig)

Optional. Configuration for the tuning validation assessment.

tuningResourceUsageAssessmentConfig object (TuningResourceUsageAssessmentConfig)

Optional. Configuration for the tuning resource usage assessment.

batchPredictionValidationAssessmentConfig object (BatchPredictionValidationAssessmentConfig)

Optional. Configuration for the batch prediction validation assessment.

batchPredictionResourceUsageAssessmentConfig object (BatchPredictionResourceUsageAssessmentConfig)

Optional. Configuration for the batch prediction resource usage assessment.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

TuningValidationAssessmentConfig

Configuration for the tuning validation assessment.

Fields
modelName string

Required. The name of the model used for tuning.

datasetUsage enum (DatasetUsage)

Required. The dataset usage (e.g. training/validation).

JSON representation
{
  "modelName": string,
  "datasetUsage": enum (DatasetUsage)
}

DatasetUsage

The dataset usage (e.g. training/validation).

Enums
DATASET_USAGE_UNSPECIFIED Default value. Should not be used.
SFT_TRAINING Supervised fine-tuning training dataset.
SFT_VALIDATION Supervised fine-tuning validation dataset.

TuningResourceUsageAssessmentConfig

Configuration for the tuning resource usage assessment.

Fields
modelName string

Required. The name of the model used for tuning.

JSON representation
{
  "modelName": string
}

BatchPredictionValidationAssessmentConfig

Configuration for the batch prediction validation assessment.

Fields
modelName string

Required. The name of the model used for batch prediction.

JSON representation
{
  "modelName": string
}

BatchPredictionResourceUsageAssessmentConfig

Configuration for the batch prediction resource usage assessment.

Fields
modelName string

Required. The name of the model used for batch prediction.

JSON representation
{
  "modelName": string
}